package com.ruoyi.ibs.grid.domain.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * (IbsAnchor)实体类
 *
 * @author makejava
 * @since 2024-09-11 15:22:43
 */
public class IbsAnchor implements Serializable {
    private static final long serialVersionUID = 797072334114970402L;

    private Long id;
    /**
     * 客户类型，个人/商户/企业
     */
    private String custType;
    /**
     * 客户号。同客户编号，即证件类型
     */
    private String custId;
    //客户内码
    private String custIsn;
    /**
     * 证件类型
     */
    private String custIdType;
    //证件号
    private String legalId;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    private String anchorName;
    /**
     * 所在行业。用户编辑输入/图商返回
     */
    private String belongBusiness;
    /**
     * 来源，导入或地图更新推送，取最新一次地址更新时对应的来源（导入/编辑均为手工导入）
     */
    private String source;
    /**
     * 使用地址对应地址id，取客户类型对应分配引擎命中规则，0为为跑批若未跑批，显示待跑批。
     */
    private Long addressId;
    /**
     * 分配引擎跑批后，取使用地址上图，取上图结果
     */
    private String status;
    /**
     * 锚点描述，用户在人工审核页填写的备注，在锚点编辑页填写的锚点备注
     */
    private String anchorRemark;
    /**
     * 创建者、归属客户经理，用户id，导入者id
     */
    private String updateBy;
    /**
     * 创建机构号
     */
    private String updateOrg;
    /**
     * 锚点删除状态，0为正常，1为已删除
     */
    private Integer deleteStatus;
    /**
     * 更新时间
     */
    private Date updateTime;

    //1为新发现用户
    private String custStatus;
    //1为地址变化用户
    private String custAddressStatus;

    public String getCustStatus() {
        return custStatus;
    }

    public void setCustStatus(String custStatus) {
        this.custStatus = custStatus;
    }

    public String getCustAddressStatus() {
        return custAddressStatus;
    }

    public void setCustAddressStatus(String custAddressStatus) {
        this.custAddressStatus = custAddressStatus;
    }

    public String getCustIsn() {
        return custIsn;
    }

    public void setCustIsn(String custIsn) {
        this.custIsn = custIsn;
    }

    public String getLegalId() {
        return legalId;
    }

    public void setLegalId(String legalId) {
        this.legalId = legalId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustType() {
        return custType;
    }

    public void setCustType(String custType) {
        this.custType = custType;
    }

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustIdType() {
        return custIdType;
    }

    public void setCustIdType(String custIdType) {
        this.custIdType = custIdType;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public Long getAddressId() {
        return addressId;
    }

    public void setAddressId(Long addressId) {
        this.addressId = addressId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAnchorRemark() {
        return anchorRemark;
    }

    public void setAnchorRemark(String anchorRemark) {
        this.anchorRemark = anchorRemark;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateOrg() {
        return updateOrg;
    }

    public void setUpdateOrg(String updateOrg) {
        this.updateOrg = updateOrg;
    }

    public Integer getDeleteStatus() {
        return deleteStatus;
    }

    public void setDeleteStatus(Integer deleteStatus) {
        this.deleteStatus = deleteStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

}

